#!/usr/bin/env bash
# Datum/Uhrzeit ermitteln
date=`date "+%Y-%m-%dT%H_%M_%S"`
# Zu sichernder Ordner
SOURCEDIR=$HOME/Dokumente
# Backup-Ordner
BACKUPDIR=/media/$USER/usb/backup
# Backup mit rsync durchführen
rsync -avP --log-file=$HOME/rsync.log --link-dest=$BACKUPDIR/current $SOURCEDIR $BACKUPDIR/back-$date
# Symlink auf den letzten Backup-Ordner erstellen 
ln -nsf back-$date $BACKUPDIR/current
